Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
129 Views

paal4py import error

Hi all,

I have a issue when i run "from daal4py.sklearn.svm import SVC" in python intel

 

>>> from daal4py.sklearn.svm import SVC
Traceback (most recent call last):
File "/home/cuong/Desktop/intelpython3/lib/python3.7/site-packages/daal4py/__init__.py", line 2, in <module>
from _daal4py import *
ImportError: libfabric.so.1: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/home/cuong/Desktop/intelpython3/lib/python3.7/site-packages/daal4py/__init__.py", line 7, in <module>
raise ImportError(s + '\n\nActivating your conda environment or sourcing mpivars.[c]sh/psxevars.[c]sh may solve the issue.\n')
ImportError: libfabric.so.1: cannot open shared object file: No such file or directory

Activating your conda environment or sourcing mpivars.[c]sh/psxevars.[c]sh may solve the issue

 

I cant fix this issue. Can you give me a advice?? Plz

Thanks for reading.

 

Labels (1)
0 Kudos
4 Replies
Highlighted
Moderator
104 Views

Hi,


Thanks for reaching out to us.

Could you please give us the following details:

  1. How you installed daal4py?
  2. Versions of Daal4py and Daal
  3. OS (Windows or Linux)
  4. Is MPI installed?


As a workaround, could you please try the command after exporting LD_LIBRARY_PATH.

export LD_LIBRARY_PATH=/<path>/lib:$LD_LIBRARY_PATH

If issue still persists please let us know.


Thanks






0 Kudos
Highlighted
Moderator
86 Views

Hi,


Could you please give us an update? Is your issue resolved?


Thanks


0 Kudos
Highlighted
Beginner
62 Views

Hello bro,

Thanks for your support. I solved it

0 Kudos
Highlighted
Moderator
52 Views

Hi,


Glad to know that your issue is resolved. We won't be monitoring this thread anymore. Kindly raise a new thread if you need further assistance.


Thanks.


0 Kudos